Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::StreamConsumer Class Reference

The stream consumer is connecting to a EGL stream and consumes the frames into a GL texture. More...

`#include <StreamConsumer.h>`

List of all members.

## Public Member Functions
| StreamConsumer (EGLStreamKHR eglStream)
| ~StreamConsumer ()
bool | initialize ()
bool | shutdown ()
bool | isEGLStream (EGLStreamKHR eglStream) const
uint32_t | getStreamTextureID () const
bool | setStreamAspectRatio (float aspectRatio)
float | getStreamAspectRatio () const
EGLint | getStreamState () const
bool | acquire (bool *acquiredNewFrame)
| Check the stream state and acquire a new frame if available.

## Private Member Functions
| StreamConsumer ()
| Hide default constructor.

## Private Attributes
bool | m_initialized
EGLStreamKHR | m_eglStream
EGLint | m_streamState
| cached stream state
uint32_t | m_streamTexture
float | m_aspectRatio
| aspect ration of the images transported by the stream

## Detailed Description

The stream consumer is connecting to a EGL stream and consumes the frames into a GL texture.

Definition at line 41 of file StreamConsumer.h.

## Constructor & Destructor Documentation

ArgusSamples::StreamConsumer::StreamConsumer | ( | EGLStreamKHR | eglStream | ) |
| explicit

Definition at line 44 of file StreamConsumer.cpp.

ArgusSamples::StreamConsumer::~StreamConsumer | ( |  | ) |

Definition at line 53 of file StreamConsumer.cpp.

ArgusSamples::StreamConsumer::StreamConsumer | ( |  | ) |
| private

Hide default constructor.

## Member Function Documentation

bool ArgusSamples::StreamConsumer::acquire | ( | bool * | acquiredNewFrame | ) |

Check the stream state and acquire a new frame if available.

Parameters:

  acquiredNewFrame | [out] set to true if a new frame had been acquired

Definition at line 116 of file StreamConsumer.cpp.

float ArgusSamples::StreamConsumer::getStreamAspectRatio | ( |  | ) | const

Definition at line 111 of file StreamConsumer.cpp.

EGLint ArgusSamples::StreamConsumer::getStreamState | ( |  | ) | const
| inline

Returns:
  the cached stream state

Definition at line 59 of file StreamConsumer.h.

uint32_t ArgusSamples::StreamConsumer::getStreamTextureID | ( |  | ) | const

Definition at line 100 of file StreamConsumer.cpp.

bool ArgusSamples::StreamConsumer::initialize | ( |  | ) |

Definition at line 59 of file StreamConsumer.cpp.

bool ArgusSamples::StreamConsumer::isEGLStream | ( | EGLStreamKHR | eglStream | ) | const

Definition at line 95 of file StreamConsumer.cpp.

bool ArgusSamples::StreamConsumer::setStreamAspectRatio | ( | float | aspectRatio | ) |

Definition at line 105 of file StreamConsumer.cpp.

bool ArgusSamples::StreamConsumer::shutdown | ( |  | ) |

Definition at line 82 of file StreamConsumer.cpp.

## Member Data Documentation

float ArgusSamples::StreamConsumer::m_aspectRatio
| private

aspect ration of the images transported by the stream

Definition at line 76 of file StreamConsumer.h.

EGLStreamKHR ArgusSamples::StreamConsumer::m_eglStream
| private

Definition at line 73 of file StreamConsumer.h.

bool ArgusSamples::StreamConsumer::m_initialized
| private

Definition at line 72 of file StreamConsumer.h.

EGLint ArgusSamples::StreamConsumer::m_streamState
| private

cached stream state

Definition at line 74 of file StreamConsumer.h.

uint32_t ArgusSamples::StreamConsumer::m_streamTexture
| private

Definition at line 75 of file StreamConsumer.h.

The documentation for this class was generated from the following files:

- renderer/StreamConsumer.h
- renderer/StreamConsumer.cpp